#include <iostream>

using namespace std;
int niz [1000];
int niz2 [1000];
int main()
{
    int n;
    cin>>n;

    for (int i=0; i<n; i++)
    {
        int c,r;
        cin>>r>>c;
        niz[i]=r;
        niz2[i]=c;
    }
    if (n==1){
    cout<<'0';
    return 0;
    }
    if(niz[0]!=niz[1] && niz2[0]!=niz2[1])
    {
        cout<<'0';
    }
    else
    {
        cout<<'1';
    }

}